Bug 605640 - Missing Requires: in vtk-devel
Missing Requires: in vtk-devel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vtk (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
: 462406 587233 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 09:08 EDT by Ben Boeckel
Modified: 2012-08-16 17:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:45:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-06-18 09:08:43 EDT
Description of problem:
vtk-devel is missing Requires: on (at least) the following packages:

libpng-devel
libjpeg-devel
expat-devel
libtiff-devel
qt-devel

Since it would drag in vtk-java, vtk-tcl, vtk-python, and vtk-qt, maybe there should be vtk-qt-devel, vtk-java-devel, etc packages (vtk-devel bringing all in, vtk-core-devel for the core devel files).

Version-Release number of selected component (if applicable):
vtk-devel-5.4.2-34.fc12.x86_64
Comment 1 Axel Thimm 2010-07-05 15:59:35 EDT
*** Bug 462406 has been marked as a duplicate of this bug. ***
Comment 2 Axel Thimm 2010-07-05 15:59:38 EDT
*** Bug 587233 has been marked as a duplicate of this bug. ***
Comment 3 Axel Thimm 2010-07-05 16:05:12 EDT
For now I added all reported missing dependencies to vtk-devel. I agree that vtk-devel should be split, but I'd like to update to 5.6.0 first and the see how it needs to be split.
Comment 4 Bug Zapper 2010-07-30 08:10:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2012-08-16 17:45:56 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.